Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1Encodable

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  AccessDescription, Accuracy, AlgorithmIdentifier, AttCertIssuer, AttCertValidityPeriod, Attribute, Attribute, Attribute, AttributeCertificate, AttributeCertificateInfo, AuthenticatedSafe, AuthorityInformationAccess, AuthorityKeyIdentifier, BasicConstraints, BasicOCSPResponse, CAST5CBCParameters, CertBag, CertID, CertificateList, CertificatePolicies, CertificationRequest, CertificationRequestInfo, CertStatus, CompressedData, ContentIdentifier, ContentInfo, ContentInfo, CRLDistPoint, CrlID, DERObject, DHParameter, DigestInfo, DisplayText, DistributionPoint, DistributionPointName, DSAParameter, ECGOST3410ParamSetParameters, ECPrivateKeyStructure, ElGamalParameter, EncryptedContentInfo, EncryptedData, EncryptedPrivateKeyInfo, EnvelopedData, ESSCertID, ExtendedKeyUsage, GeneralName, GeneralNames, GeneralSubtree, GOST28147Parameters, GOST3410ParamSetParameters, GOST3410PublicKeyAlgParameters, Holder, IDEACBCPar, IetfAttrSyntax, IssuerAndSerialNumber, IssuerAndSerialNumber, IssuerSerial, IssuingDistributionPoint, KEKIdentifier, KEKRecipientInfo, KeyAgreeRecipientInfo, KeySpecificInfo, KeyTransRecipientInfo, MacData, MessageImprint, NameConstraints, NoticeReference, ObjectDigestInfo, OCSPRequest, OCSPResponse, OriginatorIdentifierOrKey, OriginatorInfo, OriginatorPublicKey, OtherCertID, OtherInfo, OtherKeyAttribute, OtherRecipientInfo, OtherSigningCertificate, PasswordRecipientInfo, PBES2Parameters, PBKDF2Params, Pfx, PKCS12PBEParams, PKIFreeText, PKIStatusInfo, PolicyInformation, PolicyMappings, PolicyQualifierInfo, PrivateKeyInfo, PublicKeyAndChallenge, RC2CBCParameter, RecipientIdentifier, RecipientInfo, RecipientKeyIdentifier, Request, ResponderID, ResponseBytes, ResponseData, RevokedInfo, RSAESOAEPparams, RSAPrivateKeyStructure, RSAPublicKeyStructure, RSASSAPSSparams, SafeBag, ServiceLocator, Signature, SignedData, SignedData, SignedPublicKeyAndChallenge, SignerIdentifier, SignerInfo, SignerInfo, SigningCertificate, SingleResponse, SMIMECapabilities, SMIMECapability, SubjectKeyIdentifier, SubjectPublicKeyInfo, TBSCertificateStructure, TBSCertList, TBSCertList.CRLEntry, TBSRequest, Time, Time, TimeStampReq, TimeStampResp, TSTInfo, UserNotice, V2Form, X509Attribute, X509CertificateStructure, X509Extensions, X509KeyUsage, X509Name, X962Parameters, X9Curve, X9ECParameters, X9ECPoint, X9FieldElement, X9FieldID

public abstract class ASN1Encodable
extends java.lang.Object
implements DEREncodable

Constructor Summary
`ASN1Encodable()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`DERObject` | `getDERObject()`
`byte[]` | `getEncoded()`
`int` | `hashCode()`
`abstract DERObject` | `toASN1Object()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1Encodable

    public ASN1Encodable()

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

### toASN1Object

    public abstract DERObject toASN1Object()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD